LOC_DATABASE_LOOKUP(3)

NAME
loc_database_lookup - Lookup a network from the database

SYNOPSIS

#include <libloc/database.h>

int loc_database_lookup(struct loc_database* db, const struct in6_addr* address, struct loc_network** network);

int loc_database_lookup_from_string(struct loc_database* db, const char* string, struct loc_network** network);

DESCRIPTION

The lookup functions try finding a network in the database.

loc_database_lookup takes the IP address as struct in6_addr format which can either be a regular IPv6 address or a mapped IPv4 address.

loc_database_lookup_string takes the IP address as string and will parse it automatically.

RETURN VALUE

On success, zero is returned. Otherwise non-zero is being returned and errno is set accordingly.

SEE ALSO

libloc(3)

AUTHORS

Michael Tremer